package p13_pliki.podstawy;

import java.io.BufferedReader;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

/* Klasa BufferedReader też potrafi czytać kolejne linie z pliku, a jest prostsza od Scannera,
 * działa prawie 2x szybciej niż Scanner.
 * 
 * W tej wersji:
 * - obiekt BufferedReader uzyskujemy za pośrednictwem klasy Files
 * - w warunku while umieszczamy instrukcję przypisania i operację readLine
 */
public class Odczyt4_BufferedReader {

	public static void main(String[] args) {
		System.out.println("Startujemy");
		try(BufferedReader in = Files.newBufferedReader(Paths.get("plik.txt"))) {
			String linia;
			while((linia = in.readLine()) != null) {
				System.out.println(linia);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		System.out.println("Gotowe");
	}

}
